org.apache.cassandra.db.commitlog

## Class CommitLogReplayer.CommitLogReplayException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.cassandra.db.commitlog.CommitLogReplayer.CommitLogReplayException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    CommitLogReplayer

      public static class CommitLogReplayer.CommitLogReplayException
      extends java.io.IOException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitLogReplayException(java.lang.String message)`
    `CommitLogReplayException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitLogReplayException

          public CommitLogReplayException(java.lang.String message,
                                          java.lang.Throwable cause)

    - #### CommitLogReplayException

          public CommitLogReplayException(java.lang.String message)

Copyright © 2018 The Apache Software Foundation